Release Notes and Updates SLP 4.9.2 and above

Release Notes for  fixes in Store Locator Plus 4.9.2 

Please check your versions on our Home site to ensure you are using the latest versions of the plug-in and add-ons.  Please note changes to the Google API set for June 11, 2018 will effect everyone using the plug-in. You will be required to update your version of SLP to add the new Google API if you do not have one.